org.keycloak

## Class OAuthErrorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.keycloak.OAuthErrorException

- All Implemented Interfaces:
    Serializable

      public class OAuthErrorException
      extends Exception

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `description`
    `protected String` | `error`
    `static String` | `INVALID_CLIENT`
    `static String` | `INVALID_GRANT`
    `static String` | `INVALID_REQUEST`
    `static String` | `INVALID_SCOPE`
    `static String` | `UNAUTHORIZED_CLIENT`
    `static String` | `UNSUPPORTED_GRANT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthErrorException(String error)`
    `OAuthErrorException(String error, String description)`
    `OAuthErrorException(String error, String description, String message)`
    `OAuthErrorException(String error, String description, String message, Throwable cause)`
    `OAuthErrorException(String error, String description, Throwable cause)`
    `OAuthErrorException(String error, Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getError()`
    `void` | `setDescription(String description)`
    `void` | `setError(String error)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INVALID_REQUEST

          public static final String INVALID_REQUEST

      See Also:
        Constant Field Values

    - #### INVALID_CLIENT

          public static final String INVALID_CLIENT

      See Also:
        Constant Field Values

    - #### INVALID_GRANT

          public static final String INVALID_GRANT

      See Also:
        Constant Field Values

    - #### INVALID_SCOPE

          public static final String INVALID_SCOPE

      See Also:
        Constant Field Values

    - #### UNAUTHORIZED_CLIENT

          public static final String UNAUTHORIZED_CLIENT

      See Also:
        Constant Field Values

    - #### UNSUPPORTED_GRANT_TYPE

          public static final String UNSUPPORTED_GRANT_TYPE

      See Also:
        Constant Field Values

    - #### error

          protected String error

    - #### description

          protected String description

  - ### Constructor Detail

    - #### OAuthErrorException

          public OAuthErrorException(String error,
                             String description,
                             String message,
                             Throwable cause)

    - #### OAuthErrorException

          public OAuthErrorException(String error,
                             String description,
                             String message)

    - #### OAuthErrorException

          public OAuthErrorException(String error,
                             String description)

    - #### OAuthErrorException

          public OAuthErrorException(String error,
                             String description,
                             Throwable cause)

    - #### OAuthErrorException

          public OAuthErrorException(String error)

    - #### OAuthErrorException

          public OAuthErrorException(String error,
                             Throwable cause)

  - ### Method Detail

    - #### getError

          public String getError()

    - #### setError

          public void setError(String error)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

Copyright © 2015. All Rights Reserved.